# Use the official Python 3.13 image as the base
FROM python:3.13-slim

# Set the working directory inside the container
WORKDIR /app

# Expose the port the app will run on
EXPOSE 8080

# Copy requirements.txt
COPY requirements.txt .

# Install dependencies (ensure you have a requirements.txt file)
RUN pip install --no-cache-dir -r requirements.txt

# Copy the current directory contents into the container
COPY . .

# Command to run the app using Uvicorn
CMD ["uvicorn", "main:app", "--reload", "--host", "0.0.0.0", "--port", "8080"]
